"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.login = void 0;
const arg_1 = __importDefault(require("arg"));
const node_process_1 = __importDefault(require("node:process"));
const promises_1 = __importDefault(require("node:readline/promises"));
const config_1 = require("../lib/config");
const qiita_api_1 = require("../qiita-api");
const login = async (argv) => {
    const args = (0, arg_1.default)({}, { argv });
    const rl = promises_1.default.createInterface({
        input: node_process_1.default.stdin,
        output: node_process_1.default.stdout,
    });
    const token = await rl.question("Enter your token: ");
    rl.close();
    const qiitaApi = new qiita_api_1.QiitaApi({
        token,
    });
    const currentUser = await qiitaApi.authenticatedUser();
    await config_1.config.setCredential({
        name: "qiita",
        accessToken: token,
    });
    console.log(`Hi ${currentUser.id}!`);
};
exports.login = login;
//# sourceMappingURL=login.js.map