"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.pull = void 0;
const arg_1 = __importDefault(require("arg"));
const config_1 = require("../lib/config");
const get_file_system_repo_1 = require("../lib/get-file-system-repo");
const sync_articles_from_qiita_1 = require("../lib/sync-articles-from-qiita");
const qiita_api_1 = require("../qiita-api");
const pull = async (argv) => {
    const args = (0, arg_1.default)({}, { argv });
    const { accessToken } = await config_1.config.getCredential();
    const qiitaApi = new qiita_api_1.QiitaApi({
        token: accessToken,
    });
    const fileSystemRepo = await (0, get_file_system_repo_1.getFileSystemRepo)();
    await (0, sync_articles_from_qiita_1.syncArticlesFromQiita)({ fileSystemRepo, qiitaApi });
    console.log("Sync local articles from Qiita");
    console.log("Successful!");
};
exports.pull = pull;
//# sourceMappingURL=pull.js.map