"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.version = void 0;
const promises_1 = __importDefault(require("node:fs/promises"));
const node_path_1 = __importDefault(require("node:path"));
const packageJsonFilePath = node_path_1.default.join(__dirname, "../../package.json");
const version = async () => {
    const data = await promises_1.default.readFile(packageJsonFilePath, { encoding: "utf8" });
    const { version } = JSON.parse(data);
    if (!version) {
        throw new Error("Error: version is not found");
    }
    console.log(version);
};
exports.version = version;
//# sourceMappingURL=version.js.map