"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCurrentUser = void 0;
const config_1 = require("../../lib/config");
const qiita_api_1 = require("../../qiita-api");
let currentUser;
const getCurrentUser = async () => {
    if (currentUser) {
        return currentUser;
    }
    const { accessToken } = await config_1.config.getCredential();
    const qiitaApi = new qiita_api_1.QiitaApi({ token: accessToken });
    currentUser = await qiitaApi.authenticatedUser();
    return currentUser;
};
exports.getCurrentUser = getCurrentUser;
//# sourceMappingURL=get-current-user.js.map